<?php

/*
 * This file is part of the Translation Fields Bundle.
 *
 * (c) Daniel Kiesel <https://github.com/iCodr8>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

define('CRAFFFT_TRANSLATION_FIELDS_PUBLIC_PATH', 'bundles/crafffttranslationfields');

/**
 * Add CSS and JavaScript files
 */
if (TL_MODE == 'BE') {
    $GLOBALS['TL_CSS'][] = CRAFFFT_TRANSLATION_FIELDS_PUBLIC_PATH . '/css/translationfields.css';
    $GLOBALS['TL_JAVASCRIPT'][] = CRAFFFT_TRANSLATION_FIELDS_PUBLIC_PATH . '/js/translationfields.js';
}

/**
 * BACK END MODULES
 *
 * Back end modules are stored in a global array called "BE_MOD". You can add
 * your own modules by adding them to the array.
 *
 * $GLOBALS['BE_MOD'] = array
 * (
 *    'group_1' => array
 *    (
 *       'module_1' => array
 *       (
 *          'tables'       => array('table_1', 'table_2'),
 *          'callback'     => 'ClassName',
 *          'key'          => array('Class', 'method'),
 *          'icon'         => 'path/to/icon.gif',
 *          'stylesheet'   => 'path/to/stylesheet.css',
 *          'javascript'   => 'path/to/javascript.js'
 *       )
 *    )
 * );
 *
 * Not all of the keys mentioned above (like "tables", "key", "callback" etc.)
 * have to be set. Take a look at the system/modules/core/config/config.php
 * file to see how back end modules are configured.
 */
array_insert($GLOBALS['BE_MOD']['system'], 7, array
(
    'translations' => array
    (
        'tables' => array('tl_translation_fields'),
        'icon'   => 'bundles/crafffttranslationfields/images/translation-icon.png',
    )
));

/**
 * BACK END FORM FIELDS
 *
 * Back end form fields are stored in a global array called "BE_FFL". You can
 * add your own form fields by adding them to the array.
 *
 * $GLOBALS['BE_FFL'] = array
 * (
 *    'input'  => 'FieldClass1',
 *    'select' => 'FieldClass2'
 * );
 *
 * The keys (like "input") are the field names, which are e.g. stored in the
 * database and used to find the corresponding translations. The values (like
 * "FieldClass1") are the names of the classes, which will be loaded when the
 * field is rendered. The class "FieldClass1" has to be stored in a file named
 * "FieldClass1.php" in your module folder.
 */
$GLOBALS['BE_FFL']['TranslationInputUnit'] = '\\Craffft\\TranslationFieldsBundle\\Widget\\TranslationInputUnit';
$GLOBALS['BE_FFL']['TranslationTextArea'] = '\\Craffft\\TranslationFieldsBundle\\Widget\\TranslationTextArea';
$GLOBALS['BE_FFL']['TranslationTextField'] = '\\Craffft\\TranslationFieldsBundle\\Widget\\TranslationTextField';

/**
 * PURGE JOBS
 *
 * Purge jobs are stored in a global array called "TL_PURGE". You can add your
 * own purge jobs by adding them to the array.
 *
 * $GLOBALS['TL_PURGE'] = array
 * (
 *    'job_1' => array
 *    (
 *       'tables' => array
 *       (
 *          'index' => array
 *          (
 *             'callback' => array('Automator', 'purgeSearchTables'),
 *             'affected' => array('tl_search', 'tl_search_index')
 *          ),
 *       )
 *   );
 *
 * There are three categories: "tables" stores jobs which truncate database
 * tables, "folders" stores jobs which purge folders and "custom" stores jobs
 * which only trigger a callback function.
 */
$GLOBALS['TL_PURGE']['tables']['translation_fields'] = array
(
    'callback' => array('\\Craffft\\TranslationFieldsBundle\\Util\\Purge', 'purgeTranslationFields'),
    'affected' => array('tl_translation_fields')
);
